<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <LangVersion>7.3</LangVersion>
        <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
        <RuntimeIdentifiers>linux-arm;linux-arm64;linux-x64;win-x86;win-x64</RuntimeIdentifiers>
    </PropertyGroup>

    <PropertyGroup>
      <!-- Nuget Properties. -->
      <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
      <PackageId>Quik.FreeType</PackageId>
      <Version>1.0.0</Version>
      <Authors>FreeType Authors, H. Utku Maden</Authors>
      <Description>
        A C# wrapper for the FreeType font loading library.
      </Description>
    </PropertyGroup>

    <ItemGroup>
      <Content Include="runtimes/**">
        <PackagePath>runtimes</PackagePath>
        <Pack>true</Pack>
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Content>
    </ItemGroup>
</Project>
